from nginx:1.23.3-alpine

COPY nginx.conf /etc/nginx/conf.d/default.conf
RUN rm -rf /usr/share/nginx/html/50x.html
RUN rm -rf /usr/share/nginx/html/index.html

STOPSIGNAL SIGQUIT

CMD ["nginx", "-g", "daemon off;"]